% make one movie, Mcolor
 
wind=[min(x)/1000 max(x)/1000 -5000 4500];


if timestep==1 & year==-500000
Xpos=ones(nlev,1)*x';
Zpos=zeros(nlev,nods);
for n=1:nods
Zpos(1:rocklev+1,n)=b(n*2-1)+vnodal_depths(:);
Zpos(rocklev+2:nlev,n)=b(n*2-1)+zetaice(2:icelev)*thick(n*2-1);
end
figure(121)
clf
axis(wind),hold on,grid on,colormap('jet')
cons=[-65 -60 -55 -50 -45 -40 -35 -30 -25 -20 -15 -10 -5 0 5 10 15];
contourf(Xpos/1000,Zpos,T'-Tnot,cons);hold on, grid on
[cs,h]=contour(Xpos/1000,Zpos,T'-Tnot,cons,'k-'); clabel(cs,h)

pcolor(Xpos/1000,Zpos,T'-Tnot),shading flat

%plot(x,s(1:2:nods*2),'r-','linewidth',2)
plot(x/1000,b(1:2:nods*2),'k+','markersize',6)
plot(x/1000,b(1:2:nods*2),'k-','linewidth',3)
plot(x/1000,zeros(nods,1)+sealev,'b-')
for n=1:nods
if melted(n)
plot(x(n)/1000,wind(3)+100,'marker','square','markersize',4,...
                 'markeredgecolor','r','markerfacecolor','r')
end
end
plot(x(10)/1000,wind(3)+400,'marker','square','markersize',4,...
                 'markeredgecolor','k','markerfacecolor','r')
text(x(12)/1000,wind(3)+400,' - melted bed')
xlabel('distance along flowline (km)')
ylabel('elevation a.s.l. (m)')
title('Temperature (^oC)')
text(max(x)/1000/2,3500,['kyear = ' num2str(year/1e3)])
%text(max(x)/2,3100,['timestep = ' num2str(timestep)])


Mcolor=moviein(frames_2_make);
Mcolor(:,1)=getframe;

else
wind=[min(x)/1000 max(x)/1000 -5000 4500];
Xpos=ones(nlev,1)*x';
for n=1:nods
Zpos(1:rocklev+1,n)=b(n*2-1)+vnodal_depths(:);
Zpos(rocklev+2:nlev,n)=b(n*2-1)+zetaice(2:icelev)*thick(n*2-1);
end
figure(121)
clf

axis(wind),hold on,grid on,colormap('jet')
cons=[-65 -60 -55 -50 -45 -40 -35 -30 -25 -20 -15 -10 -5 0 5 10 15];
contourf(Xpos/1000,Zpos,T'-Tnot,cons);hold on, grid on
[cs,h]=contour(Xpos/1000,Zpos,T'-Tnot,cons,'k-'); clabel(cs,h)

pcolor(Xpos/1000,Zpos,T'-Tnot),shading flat

hold on
%plot(x,s(1:2:nods*2),'r-','linewidth',2)
plot(x/1000,b(1:2:nods*2),'k+','markersize',6)
plot(x/1000,b(1:2:nods*2),'k-','linewidth',3)
plot(x/1000,zeros(nods,1)+sealev,'b-')


for n=1:nods
if melted(n)
plot(x(n)/1000,wind(3)+100,'marker','square','markersize',4,...
                 'markeredgecolor','r','markerfacecolor','r')
end
end
plot(x(10)/1000,wind(3)+400,'marker','square','markersize',4,...
                 'markeredgecolor','k','markerfacecolor','r')
text(x(12)/1000,wind(3)+400,' - melted bed')
xlabel('distance along flowline (km)')
ylabel('elevation a.s.l. (m)')
title('Temperature (^oC)')
text(max(x)/1000/2,3500,['kyear = ' num2str(year/1e3)])
%text(max(x)/2,3100,['timestep = ' num2str(timestep)])


Mcolor(:,frame_count)=getframe;


end
